#ifndef INC_READIDL
#define INC_READIDL



#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <math.h>
#include "allocate.h"
#include "A_comp_iupui.h"
#include "cti_byte_io.h"
#include "cti_structs.h"



void add_cti_image_mat(char *fname, double **img, int N, int M, struct sino_info *sino, struct geom_info *geom,int ct_pl);


double** idl_read_plane_obsolete(char *fname, int plane, struct sino_info *sino);
double** read_nrm_plane(char *fname, int plane, int DEADTIME_FLAG);
long**** get_idl_file_info(struct main_head *mh, long *sub_hed,FILE *fp, int BYTE_ORDER);
void write_cti_image_file(char *fname, double **img, int N, int M, struct sino_info *sino, struct geom_info *geom);
void write_cti_img_matrix(FILE *fp, struct img_shead *ish, long plane, long frame, long gate, long bed, short *sh_img_arr, int sz_img_arr, int BYTE_ORDER);
long Update_dir(FILE *fp,long plane, long frame, long gate, long bed, int sz_img_arr, int BYTE_ORDER);

double** cti_read_sino(char **fnames, int no_input_files, int plane, struct sino_info *sino);

void check_addtl_file(struct main_head *mh, struct sino_info *sino, int im);

double** cti_read_attn_sin(char *fname, int plane, int *N_ang, int *M_offsets);

#endif
