#ifndef INC_READ_CFG_FILE
#define INC_READ_CFG_FILE

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "ansi_lib_loc/allocate.h"

#define ATTN_FILE 1
#define ATTN_CIRCLE 2



struct cfg_info{
  int no_sino;
  char **sino_fname;
  char nrm_file[256];
  char mask_file[256];
  double fov;
  int resol;
  int no_iter_rec;
  double p;
  double sigma;
  int no_iter_param;
  int analyt_FLAG;
  char sysres_fname[256];
  int addposi_FLAG;

  int attn_MODE;
  double attn_circ_rad;
  double attn_cnst;
  char attn_fname[256];

  int decay_FLAG;
  double prj_max_t;
  double scatter;
  int deadtime_FLAG;
  int verbose;
  int MATLAB_FLAG;
  int NRM_FLAG;
  int plane;
  char initial[256];
  int SUP_FLAG;
  int INTERP_FLAG;
  char output[256];
  
};




void read_cfg_file(char *fname,struct cfg_info *cfg_info);
void print_cfg_info(struct cfg_info *cfg_info);
void check_parameters(struct cfg_info *cfg_info);



#endif
